/*
 *  Copyright (c) 2017 Otávio Santana and others
 *   All rights reserved. This program and the accompanying materials
 *   are made available under the terms of the Eclipse Public License v1.0
 *   and Apache License v2.0 which accompanies this distribution.
 *   The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 *   and the Apache License v2.0 is available at http://www.opensource.org/licenses/apache2.0.php.
 *
 *   You may elect to redistribute this code under either of these licenses.
 *
 *   Contributors:
 *
 *   Otavio Santana
 */

/**
 * This package contains all comuns API to artemis.
 * Artemis is a flexible and extensible ORM to connect NoSQL databases. It brings an easy interface to
 * support key-value, column family, document oriented and graph databases using as base Diana in CDI based.
 * The API's focus is on simplicity and ease of use.
 * <ul>
 * <li>CDI Based</li>
 * <li>Diana Based</li>
 * <li>Events to insert, delete, update</li>
 * <li>Supports to Bean Validation</li>
 * <li>ORM Annotation Based</li>
 * <li>Configurable and extensible</li>
 </ul>
 * Developers should only have to know a minimal set of
 * artifacts to work with the solution.
 * The API is built on latest Java 8 features and therefore fit
 * perfectly with the functional features of Java 8.
 */
package org.jnosql.artemis;